# Get additional information required to request employee termination

GET https://api.letsdeel.com/rest/v2/eor/contracts/{contract_id}/offboarding/required-information

This endpoint provides additional country-specific requirements for employee offboarding. It specifies any mandatory or optional questions that the client must answer and identifies required supporting documents that must be uploaded during the offboarding process. This ensures compliance with local regulations and streamlines the offboarding workflow.
 **Token scopes**: `contracts:read`

Reference: https://developer.deel.com/api/eor-endpoints/eor-offboarding/get-eor-contract-offboarding-required-information

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /eor/contracts/{contract_id}/offboarding/required-information:
    get:
      operationId: get-eor-contract-offboarding-required-information
      summary: Get additional information required to request employee termination
      description: >-
        This endpoint provides additional country-specific requirements for
        employee offboarding. It specifies any mandatory or optional questions
        that the client must answer and identifies required supporting documents
        that must be uploaded during the offboarding process. This ensures
        compliance with local regulations and streamlines the offboarding
        workflow.
         **Token scopes**: `contracts:read`
      tags:
        - subpackage_eorOffboarding
      parameters:
        - name: contract_id
          in: path
          description: The unique identifier of the employee contract.
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/eor-offboarding_getEORContractOffboardingRequiredInformation_Response_200
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetAdditionalInformationRequiredToRequestEmployeeTerminationRequestBadRequestError
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetAdditionalInformationRequiredToRequestEmployeeTerminationRequestUnauthorizedError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetAdditionalInformationRequiredToRequestEmployeeTerminationRequestForbiddenError
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetAdditionalInformationRequiredToRequestEmployeeTerminationRequestInternalServerError
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaDataQuestionsItems:
      type: object
      properties:
        text:
          type: string
          description: >-
            Specifies the text of additional questions that the client must
            answer when requesting a termination
        is_optional:
          type: boolean
          description: >-
            Indicates whether answering the question is optional. If false,
            client must provide an answer.
      title: >-
        EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaDataQuestionsItems
    EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        documents:
          type:
            - string
            - 'null'
          description: >-
            If not null, specifies the documents that the client must upload
            when requesting a termination
        questions:
          type:
            - array
            - 'null'
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaDataQuestionsItems
          description: >-
            A list of additional questions that the client must answer when
            requesting a termination. Some questions are mandatory, while others
            are optional.
      description: >-
        Specifies the text of additional questions that the client must answer
        when requesting a termination
      title: >-
        EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaData
    eor-offboarding_getEORContractOffboardingRequiredInformation_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaData
          description: >-
            Specifies the text of additional questions that the client must
            answer when requesting a termination
      required:
        - data
      title: >-
        eor-offboarding_getEORContractOffboardingRequiredInformation_Response_200
    EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        code:
          type: string
          description: Error code of the handler which produced the returned error
        field:
          type: string
          description: The field name where error occurred (null for server errors)
        message:
          type: string
          description: Description of the returned error
      title: >-
        EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaErrorsItems
    GetAdditionalInformationRequiredToRequestEmployeeTerminationRequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaErrorsItems
      title: >-
        GetAdditionalInformationRequiredToRequestEmployeeTerminationRequestBadRequestError
    GetAdditionalInformationRequiredToRequestEmployeeTerminationRequestUnauthorizedError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaErrorsItems
      title: >-
        GetAdditionalInformationRequiredToRequestEmployeeTerminationRequestUnauthorizedError
    GetAdditionalInformationRequiredToRequestEmployeeTerminationRequestForbiddenError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaErrorsItems
      title: >-
        GetAdditionalInformationRequiredToRequestEmployeeTerminationRequestForbiddenError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    GetAdditionalInformationRequiredToRequestEmployeeTerminationRequestInternalServerError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaErrorsItems
      title: >-
        GetAdditionalInformationRequiredToRequestEmployeeTerminationRequestInternalServerError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/eor/contracts/abcd4fg/offboarding/required-information"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/eor/contracts/abcd4fg/offboarding/required-information';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/eor/contracts/abcd4fg/offboarding/required-information"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/eor/contracts/abcd4fg/offboarding/required-information")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/eor/contracts/abcd4fg/offboarding/required-information")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/eor/contracts/abcd4fg/offboarding/required-information', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/eor/contracts/abcd4fg/offboarding/required-information");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/eor/contracts/abcd4fg/offboarding/required-information")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```